@import "vars"

// em function
$base-font-size: 16
@function em($pixels, $context: $base-font-size)
  @return #{$pixels/$context}em

::placeholder
  color: #666

::selection
  background-color: $accent
  color: #fff

html, body
  // height: 100%


body
  font-size: 16px
  min-width: 320px
  position: relative
  line-height: 1.65
  font-family: $default-font
  
  color: $font_clr
  input, textarea
    border: #666 1px solid
    outline: none
    &:focus:required:invalid
      border-color: red
    &:required:valid
      border-color: green

.img-responsive
  display: block
  max-width: 100%
  height: auto

.text-center
  text-align: center

.home_wrapper.index
  border: 25px solid $blue_clr
  width: 100%
  height: 100%
  min-height: calc(100vh - 50px)
  display: flex
  flex-direction: column
  z-index: 10
  overflow: hidden;

/*! ---HOME PAGE--- */

header
  .heading_wrap
    display: flex
    flex-direction: column;
    margin-right: -140px
    h1
      color: #c3c3c3
      margin: 0
      &.main_heading
        font-size: 72px
        text-align: right
    .heading_text_wrap
      display: flex
      justify-content: flex-end
      h1
        display: flex
        flex-direction: column;
        .heading_title
          font-weight: 500
          font-size: 40px 
        .heading_text
          max-width: 505px
          font-weight: 400
          font-size: 22px
        
  .home_menu
    display: flex
    justify-content: flex-end
    width: 100%
    margin-top: 60px
    a
      font-family: $default_font
      font-weight: 500
      color: #abacac
      text-decoration: none
      text-transform: uppercase
      margin-right: 50px
      border-bottom: 3px solid #fff
      &:hover
        color: $font_clr
        border-bottom: 3px solid $blue_clr
      &:last-of-type
        margin-right: 0


.home_wrapper.index  
  .home_content
    min-height: calc(100vh - 242px)
    padding: 25px 0
    display: flex
    align-items: center
    margin-top: -70px
    .phone
      display: flex
      justify-content: center
      img
        margin-right: -33px
        user-select: none
    p
      font-weight: 700
      font-size: 36px
      color: $font_clr
      text-transform: uppercase
      margin: 0
      text-align: center
      line-height: 1
    .buttons
      display: flex
      justify-content: center
      margin-top: 50px
      flex-direction: row;
      a
        background-color: $blue_clr
        text-align: center
        color: #ffffff
        width: 110px
        height: 40px
        font-family: $default_font
        text-decoration: none
        border-radius: 8px
        transition: ease-in-out 0.2s
        &:hover
          background-color: lighten($blue_clr, 15%)
          box-shadow: 0px 6px 31px 0px rgba(0, 52, 88, 0.4)

  @-moz-document url-prefix()
    .home_content
      min-height: calc(100vh - 244px)

footer
  margin: 0 0 50px
  position: relative
  .footer_wrap
    display: flex
    flex-direction: row;
    .index_menu
      a
        font-weight: 400
        color: #9a9a9a
        margin-right: 15px
        &:last-child
          margin-right: 0
    .copyright
      color: #9a9a9a
      margin: 0 0 0 10px
  //marquee
  #marquee
    width: 100%
    white-space: nowrap
    overflow: hidden
    position: absolute
    bottom: 0
    left: 50%
    span 
      color: #212121
      font-size: 16px
      display: inline-block
      transform: translateX(50%)
      padding-left: 50%;
      animation: marquee infinite linear
      animation-duration: 250s

  @keyframes marquee
    0%
      transform: translate(0, 0)
    100%
      transform: translate(-100%, 0)



/*! ---PAGES--- */

.wrapper
  border: 25px solid $blue_clr
  width: 100%
  height: 100%
  &::after
    content: ""
    background-image: url("../img/bg.jpg")
    opacity: .05
    top: 0
    left: 0
    bottom: 0
    right: 0
    position: absolute
    z-index: -1
    

header
  .header
    display: flex
    justify-content: space-between
    .logo
      margin-top: 20px
      margin-left: -145px
      a 
        display: block
    .menu
      display: flex
      justify-content: flex-end
      width: 100%
      margin-top: 60px
      margin-right: -145px
      a
        font-family: $default_font
        font-weight: 500
        color: #abacac
        text-decoration: none
        text-transform: uppercase
        margin-right: 50px
        border-bottom: 3px solid transparent
        height: 30px
        transition: ease-in-out 0.2s
        &:hover,
        &.menu_active
          color: $font_clr
          border-bottom: 3px solid $blue_clr
        &:last-of-type
          margin-right: 0
  
.heading
  font-family: $default_font
  font-weight: 700
  font-size: 48px
  color: $font_clr
  margin: 90px 0 60px
.heading_mobile
  display: none
  font-family: $default_font
  font-weight: 700
  font-size: 48px
  color: $font_clr
  text-transform: uppercase
  margin: 50px 0 35px

.content
  width: 100%
  background-color: #ffffff
  border-radius: 20px
  box-shadow: 3px 4px 40px 0px rgba(119, 119, 119, 0.23)
  padding: 65px 0 45px
  &.privacy
    display: flex
    align-items: flex-start
    .nav
      align-items: flex-start
  .messages_top_wrap,
  .messages_bottom_wrap
    display: flex
    align-items: flex-start
    justify-content: flex-start
    flex-wrap: wrap
  .blue_message,
  .lime_message
    padding: 35px 25px
    border-radius: 10px
    .user_avatar
      width: 36px
      height: 36px
      border-radius: 50%
      display: flex
      justify-content: center
      align-items: center
    p
      font-family: $default_font
      font-weight: 500
      font-size: 14px
      color: $font_clr
  .blue_message
    background-color: #ecfaff
    box-shadow: 0px 17px 39px 0px rgba(202, 226, 234, 0.55)
    .user_avatar
      background-color: #84c5dc
      float: left
    p
      margin: 0 0 0 50px
  .lime_message
    background-color: #e6f8d4
    box-shadow: 0px 17px 39px 0px rgba(210, 227, 192, 0.55)
    width: 100%
    position: relative
    margin-top: 110px
    p
      width: auto
      margin: 0 50px 0 0
      text-align: right
    .user_avatar
      background-color: #aaca8b
      float: right
      position: absolute
      top: 35px
      right: 25px
  .tags
    text-align: center
    margin-top: 100px
    img
      margin: 0 auto
  .messages_bottom_wrap
    padding-bottom: 90px
    border-bottom: 1px solid #e2f4f7
  .buttons
    display: flex
    justify-content: center
    margin-top: 35px
    a
      display: block
      width: 110px
      height: 40px
      background-color: $blue_clr
      text-align: center
      line-height: 40px
      color: #ffffff
      font-family: $default_font
      text-decoration: none
      border-radius: 10px
      transition: ease-in-out 0.2s
      &:hover
        background-color: lighten($blue_clr, 15%)
        box-shadow: 0px 6px 31px 0px rgba(0, 52, 88, 0.4)
  .nav_btn
    font-family: $default_font
    font-weight: 500
    color: #b0b1b1
    border-bottom: 3px solid #fff
    margin-bottom: 20px
    width: auto
    &.active,
    &:hover
      color: $blue_clr
      border-bottom: 3px solid $blue_clr
      text-decoration: none
  .tab-content
    h3
      font-family: $default_font
      font-weight: 500
      font-size: 18px
      color: $font_clr
      margin: 0
      margin-bottom: 30px
      &.paragraph
        margin-top: 70px
    p
      margin-bottom: 30px
      line-height: 30px
      &:last-of-type
        margin-bottom: 0
      &.txt_indent
        margin-bottom: 20px

.pages_footer
  margin-top: 100px

/*! ---CONTACT FORM--- */

.contact_form_wrap
  background-color: #ffffff
  border-radius: 20px
  box-shadow: 3px 5px 40px 0px rgba(119, 119, 119, 0.23)
  #contact_form
    display: flex
    flex-direction: column
    padding: 65px 0
    label
      color: #a9a9a9
    #fname,
    #email,
    #message
      border: 1px solid #ddd
      border-radius: 5px
      font-size: 20px
      padding: 10px
      margin-bottom: 30px
      box-shadow: none
      -webkit-appearance: none
    #fname,
    #email
      height: 45px
    #message
      margin-bottom: 40px
    .submit_controls
      display: flex
      align-items: center
      position: relative
      .input_btn
        border: none
        background-color: $blue_clr
        color: #ffffff
        text-transform: uppercase
        font-family: $default_font
        font-weight: 500
        display: block
        height: 50px
        padding: 0 58px
        border-radius: 10px
        cursor: pointer
        transition: ease-in-out 0.2s
        &:hover
          background-color: lighten($blue_clr, 15%)
          box-shadow: 0px 6px 31px 0px rgba(0, 52, 88, 0.4)
      #inquiry
        display: none
      label
        margin: 0
        color: #656565
        margin-left: 30px
        cursor: pointer
        display: flex
        align-items: center
        flex-direction: row-reverse
        &::after
          content: ""
          width: 24px
          height: 24px
          background-color: #eaeaea
          border-radius: 5px
          padding: 12px
          display: block
          margin-right: 12px
      #inquiry:checked + label:after
        content: "\2713"
        padding: 0 6px

